Bug 29789 - Unused $error in cataloguing/additem.pl
Summary: Unused $error in cataloguing/additem.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks: 29788
  Show dependency treegraph
 
Reported: 2022-01-04 14:41 UTC by Jonathan Druart
Modified: 2022-02-07 18:54 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02,21.05.09


Attachments
Bug 29789: Remove unused $error from cataloguing/additem.pl (1.74 KB, patch)
2022-01-04 14:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29789: Remove unused $error from cataloguing/additem.pl (1.79 KB, patch)
2022-01-04 15:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29789: Remove unused $error from cataloguing/additem.pl (1.85 KB, patch)
2022-01-07 13:47 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-01-04 14:41:11 UTC
my $error        = $input->param('error');

It should be removed as $error is used later but not related to this variable.
Comment 1 Jonathan Druart 2022-01-04 14:42:02 UTC
Created attachment 128991 [details] [review]
Bug 29789: Remove unused $error from cataloguing/additem.pl

my $error        = $input->param('error');

It should be removed as $error is used later but not related to this variable.
Comment 2 Tomás Cohen Arazi 2022-01-04 15:44:37 UTC
Created attachment 129005 [details] [review]
Bug 29789: Remove unused $error from cataloguing/additem.pl

my $error        = $input->param('error');

It should be removed as $error is used later but not related to this variable.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Kyle M Hall 2022-01-07 13:47:27 UTC
Created attachment 129164 [details] [review]
Bug 29789: Remove unused $error from cataloguing/additem.pl

my $error        = $input->param('error');

It should be removed as $error is used later but not related to this variable.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Fridolin Somers 2022-01-11 22:51:53 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-01-14 14:03:23 UTC
Pushed to 21.11.x for 21.11.02
Comment 6 Andrew Fuerste-Henry 2022-01-21 17:48:23 UTC
Pushed to 21.05.x for 21.05.09
Comment 7 Victor Grousset/tuxayo 2022-02-07 18:54:37 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.